## click-bin-path 0.2

=== debian/changelog ===
click-bin-path (0.2) utopic; urgency=medium

  [ Colin Watson ]
  * Fix a couple of typos.
  * Remove unused import.
  
  [ Michael Vogt ]
  * do not fail if no srcdir exists

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 08 Oct 2014 12:19:23 +0200

click-bin-path (0.1) utopic; urgency=low

  * Initial release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 24 Sep 2014 09:59:06 +0200

## click-bin-path 0.3

=== debian/changelog ===
click-bin-path (0.3) vivid; urgency=low

  * fix copyright
  * fix argument passing quotes (LP: #1400316), thanks to Martin Pitt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Dec 2014 13:02:02 +0100

click-bin-path (0.2+ppa10) vivid; urgency=low

  * fix support for custom profiles like docker

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Dec 2014 17:05:38 +0100

click-bin-path (0.2+ppa9) vivid; urgency=low

  * ensure we cd into the correct packagedir

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Dec 2014 13:42:00 +0100

click-bin-path (0.2+ppa8) vivid; urgency=low

  * fix missing argument passing in the wrapper

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Dec 2014 08:33:20 +0100

click-bin-path (0.2+ppa7) vivid; urgency=low

  * generate aa-exec wrapper instead of symlinks

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Dec 2014 22:51:56 +0100

click-bin-path (0.2+ppa6) vivid; urgency=low

  * use "$binary" for frameworks
  * use "$pkgname.$binary" for applications

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Dec 2014 21:39:28 +0100

click-bin-path (0.2+ppa5) vivid; urgency=low

  * revert to 0.2+ppa2 - the current change will break docker

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Dec 2014 18:03:02 +0100

click-bin-path (0.2+ppa4) vivid; urgency=low

  * use a different approach for $pkg_$binary generation

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Dec 2014 17:02:57 +0100

click-bin-path (0.2+ppa3) vivid; urgency=low

  * generate binaries as "$pkg.$binary" (per spec)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Dec 2014 16:07:29 +0100

click-bin-path (0.2+ppa2) vivid; urgency=low

  * debian/click-bin-path.click-hook:
    - fix location to point to ~/.cache/snappy-bin-path

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Dec 2014 13:58:09 +0100

click-bin-path (0.2+ppa1) vivid; urgency=low

  * use "snappy-bin" for the PATH location
  * click-bin-path-hook, test/test_click_bin_path_hook.py:
    - fix crash when subdirs are used inside ~/snappy-bin and improve
      tests

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 01 Dec 2014 11:44:22 +0100

## click-bin-path 0.4

=== debian/changelog ===
click-bin-path (0.4) vivid; urgency=low

  * use global /apps/bin instead of ~/snappy-bin
  * make the hook a system-level hook
  * generates as "command.pkg" instead of "pkg.command"
  * update HOME to SNAP_APP_USER_DATA_PATH (LP: #1400368)
  * fix incorrect apparmor profile detection on upgrade
  * fix crash for dangling symlinks
  * create TMPDIR in /tmp/snapps/$APP_PKGNAME/$APP_VERSION/
    to match apparmor rules
  * ensure SNAP_APP_USER_DATA_PATH exists
  * define the following environment variable for the unit:
    - SNAP_APP_PATH with the read-only binary data that comes with the app
    - SNAP_APP_DATA_PATH - writable global system area for the part
    - SNAP_APP_USER_DATA_PATH - writable user area for the part
    - SNAP_OLD_PWD - working directory of the user
    - SNAP_APP_ARCH - architecture of the pkg

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Jan 2015 14:11:20 +0100

## click-bin-path 0.4.1

=== debian/changelog ===
click-bin-path (0.4.1) vivid; urgency=low

  * cleanup, thanks to jdstrand
  * add SNAP_OLD_PWD

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Feb 2015 20:28:40 +0100

## click-bin-path 0.4.1build1

=== Makefile ===
#!/usr/bin/make

PREFIX=$(DESTDIR)/usr

build:
	# ha! done

install:
	install -d ${PREFIX}/lib/click-bin-path
	install -d ${PREFIX}/share/click/hooks
	install -m755 -o root -g root \
		click-bin-path-hook ${PREFIX}/lib/click-bin-path
	install -m644 -o root -g root \
		debian/click-bin-path.click-hook \
		${PREFIX}/share/click/hooks/click-bin-path.hook
	install -d ${PREFIX}/../etc/profile.d
	install -m644 -o root -g root \
		profile.d/click-bin-path.sh ${PREFIX}/../etc/profile.d

uninstall:
	rm -rf  ${PREFIX}/lib/click-bin-path
	rm -f ${PREFIX}/share/click/hooks/click-bin-path.hook
	rm -f ${PREFIX}/../etc/profile.d/click-bin-path.sh

=== debian/changelog ===
click-bin-path (0.4.1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 03:34:13 +0000

=== debian/control ===
Source: click-bin-path
Section: admin
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: debhelper (>= 9), python3, pep8, pyflakes, click-dev
Standards-Version: 3.9.5
Vcs-Bzr: lp:~click-hackers/click-bin-path/trunk

Package: click-bin-path
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python3
Description: Click hook to register commands to $PATH
 Provides a click hook to register command-line applications that should
 go into the user's $PATH.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ --with click

override_dh_auto_test:
	python3 -m unittest discover

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
